// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"

#include "InteractableComponent.h"

#include "UsableInteractable.generated.h"


UCLASS(Blueprintable, BlueprintType)
class UUsableInteractable : public UInteractableComponent
{
    GENERATED_BODY()

public:
    const FString GetName();
    virtual const FString GetName_Implementation() override;

    const TArray<TSubclassOf<UInteractableActivator>> GetActivators();
    virtual const TArray<TSubclassOf<UInteractableActivator>> GetActivators_Implementation() override;
};